Bug 1509551 - [abrt] gnome-calendar: GCAL_IS_MANAGER(): gnome-calendar killed by SIGSEGV
Summary: [abrt] gnome-calendar: GCAL_IS_MANAGER(): gnome-calendar killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-calendar
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3a79ef9c704a0af92347c73a838...
: 1541045 1557941 1648105 1665783 1671360 1671587 1673089 1678914 1680240 1683362 1685974 1695107 1696649 1720854 1721817 1723983 1727201 1728377 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-04 14:43 UTC by lennart_reuther
Modified: 2019-07-26 00:59 UTC (History)
17 users (show)

Fixed In Version: gnome-calendar-3.32.2-5.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-26 00:59:46 UTC


Attachments (Terms of Use)
File: backtrace (52.70 KB, text/plain)
2017-11-04 14:43 UTC, lennart_reuther
no flags Details
File: cgroup (321 bytes, text/plain)
2017-11-04 14:43 UTC, lennart_reuther
no flags Details
File: core_backtrace (28.62 KB, text/plain)
2017-11-04 14:44 UTC, lennart_reuther
no flags Details
File: cpuinfo (1.52 KB, text/plain)
2017-11-04 14:44 UTC, lennart_reuther
no flags Details
File: dso_list (19.94 KB, text/plain)
2017-11-04 14:44 UTC, lennart_reuther
no flags Details
File: environ (1.46 KB, text/plain)
2017-11-04 14:44 UTC, lennart_reuther
no flags Details
File: exploitable (100 bytes, text/plain)
2017-11-04 14:44 UTC, lennart_reuther
no flags Details
File: limits (1.29 KB, text/plain)
2017-11-04 14:44 UTC, lennart_reuther
no flags Details
File: maps (95.90 KB, text/plain)
2017-11-04 14:44 UTC, lennart_reuther
no flags Details
File: open_fds (1.38 KB, text/plain)
2017-11-04 14:44 UTC, lennart_reuther
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-11-04 14:44 UTC, lennart_reuther
no flags Details
File: var_log_messages (665 bytes, text/plain)
2017-11-04 14:44 UTC, lennart_reuther
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Gitlab GNOME/gnome-calendar/issues/416 None None None 2019-07-02 23:49:24 UTC

Description lennart_reuther 2017-11-04 14:43:48 UTC
Description of problem:
Added a new calendar entry to a calendar hosted with google calendars.

Version-Release number of selected component:
gnome-calendar-3.26.2-1.fc27

Additional info:
reporter:       libreport-2.9.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: GCAL_IS_MANAGER
executable:     /usr/bin/gnome-calendar
journald_cursor: s=01d0dc94c90e46c89e4dc8a349600c0c;i=1caee;b=4ced0eca7abb40e8a59b6b8735b0a25d;m=f10961bce;t=55d292c013d55;x=6e3eebb216bcfbb9
kernel:         4.13.9-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 GCAL_IS_MANAGER at ../src/gcal-manager.h:34
 #1 gcal_manager_get_default_source at ../src/gcal-manager.c:1213
 #2 update_default_calendar_row at ../src/gcal-quick-add-popover.c:487
 #8 g_object_notify_queue_thaw at gobject.c:296
 #9 g_object_setv at gobject.c:2248
 #10 g_object_set_property at gobject.c:2529
 #11 on_source_notify at gbinding.c:327
 #17 g_object_notify_by_spec_internal at gobject.c:1173
 #23 g_settings_real_change_event at gsettings.c:386
 #24 ffi_call_unix64 at ../src/x86/unix64.S:76

Comment 1 lennart_reuther 2017-11-04 14:43:55 UTC
Created attachment 1347785 [details]
File: backtrace

Comment 2 lennart_reuther 2017-11-04 14:43:57 UTC
Created attachment 1347786 [details]
File: cgroup

Comment 3 lennart_reuther 2017-11-04 14:44:01 UTC
Created attachment 1347787 [details]
File: core_backtrace

Comment 4 lennart_reuther 2017-11-04 14:44:05 UTC
Created attachment 1347788 [details]
File: cpuinfo

Comment 5 lennart_reuther 2017-11-04 14:44:12 UTC
Created attachment 1347789 [details]
File: dso_list

Comment 6 lennart_reuther 2017-11-04 14:44:20 UTC
Created attachment 1347790 [details]
File: environ

Comment 7 lennart_reuther 2017-11-04 14:44:23 UTC
Created attachment 1347791 [details]
File: exploitable

Comment 8 lennart_reuther 2017-11-04 14:44:25 UTC
Created attachment 1347792 [details]
File: limits

Comment 9 lennart_reuther 2017-11-04 14:44:36 UTC
Created attachment 1347793 [details]
File: maps

Comment 10 lennart_reuther 2017-11-04 14:44:40 UTC
Created attachment 1347794 [details]
File: open_fds

Comment 11 lennart_reuther 2017-11-04 14:44:45 UTC
Created attachment 1347795 [details]
File: proc_pid_status

Comment 12 lennart_reuther 2017-11-04 14:44:47 UTC
Created attachment 1347796 [details]
File: var_log_messages

Comment 13 ingli 2018-02-01 15:16:19 UTC
*** Bug 1541045 has been marked as a duplicate of this bug. ***

Comment 14 Alexandru Cristian Zanogeanu 2018-03-19 10:41:25 UTC
*** Bug 1557941 has been marked as a duplicate of this bug. ***

Comment 15 pmkellly 2018-03-29 11:34:10 UTC
Similar problem has been detected:

THis happened right after I clicked the calendar icon.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: GCAL_IS_MANAGER
executable:     /usr/bin/gnome-calendar
journald_cursor: s=5f3d04c3f1a54ee0b90e3c4e3f9fd96d;i=1218b9;b=d230e6da970a40749d67ec4282238c90;m=741c117;t=5688b439f1fd7;x=c01267c3dcf8d98a
kernel:         4.15.13-300.fc27.x86_64
package:        gnome-calendar-3.26.4-1.fc27
reason:         gnome-calendar killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 skyb0rg007 2018-04-11 03:33:47 UTC
Similar problem has been detected:

Added an item to the calendar

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: GCAL_IS_MANAGER
executable:     /usr/bin/gnome-calendar
journald_cursor: s=8f73a211e4794d21bcdb22bf564ceb03;i=3b40;b=d7fd05417d7649bfb78851bb722e2a5c;m=1f71980a08;t=5698a2ef70a3e;x=8e0d0c8208654a83
kernel:         4.15.14-300.fc27.x86_64
package:        gnome-calendar-3.26.4-1.fc27
reason:         gnome-calendar killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Igor Gnatenko 2018-08-02 15:32:23 UTC
Please test with latest updates and reopen if still reproducible.

Comment 18 Michael Catanzaro 2019-07-02 16:53:04 UTC
Reopening since this is still crashing in 3.32.

Comment 19 Michael Catanzaro 2019-07-02 16:53:24 UTC
*** Bug 1723983 has been marked as a duplicate of this bug. ***

Comment 20 Michael Catanzaro 2019-07-02 17:01:04 UTC
Looks like gcal_quick_add_popover_set_property() is failing to disconnect its signals from the old GCalManager before setting the new one.

Comment 21 Michael Catanzaro 2019-07-02 17:10:12 UTC
Looking at the backtrace in bug #1723983, I see the GcalManager emitting the signal is 0x559bdefff130 but the GcalQuickAddPopover's current manager is 0x559bdf1fe0e0, which is surely unintended.

Now, I think there might be a separate bug here, because that shouldn't be enough to crash as the GcalQuickAddPopover's GcalManager *should* still be a valid GcalManager. So I suspect the GcalQuickAddPopover itself is invalid at this point. So it looks like two bugs: (a) need to disconnect in gcal_quick_add_popover_set_property(), and (b) also need to use g_signal_connect_object() to disconnect on dispose.

Comment 22 Michael Catanzaro 2019-07-02 23:12:55 UTC
*** Bug 1680240 has been marked as a duplicate of this bug. ***

Comment 23 Michael Catanzaro 2019-07-02 23:13:30 UTC
*** Bug 1695107 has been marked as a duplicate of this bug. ***

Comment 24 Michael Catanzaro 2019-07-02 23:13:32 UTC
*** Bug 1685974 has been marked as a duplicate of this bug. ***

Comment 25 Michael Catanzaro 2019-07-02 23:13:56 UTC
*** Bug 1696649 has been marked as a duplicate of this bug. ***

Comment 26 Michael Catanzaro 2019-07-02 23:15:01 UTC
*** Bug 1721817 has been marked as a duplicate of this bug. ***

Comment 27 Michael Catanzaro 2019-07-02 23:15:09 UTC
*** Bug 1720854 has been marked as a duplicate of this bug. ***

Comment 28 Michael Catanzaro 2019-07-02 23:23:19 UTC
*** Bug 1717077 has been marked as a duplicate of this bug. ***

Comment 29 Michael Catanzaro 2019-07-02 23:24:04 UTC
*** Bug 1671587 has been marked as a duplicate of this bug. ***

Comment 30 Michael Catanzaro 2019-07-02 23:27:46 UTC
*** Bug 1683362 has been marked as a duplicate of this bug. ***

Comment 31 Michael Catanzaro 2019-07-02 23:27:57 UTC
*** Bug 1673089 has been marked as a duplicate of this bug. ***

Comment 32 Michael Catanzaro 2019-07-02 23:30:09 UTC
*** Bug 1648105 has been marked as a duplicate of this bug. ***

Comment 33 Michael Catanzaro 2019-07-02 23:30:37 UTC
*** Bug 1665783 has been marked as a duplicate of this bug. ***

Comment 34 Michael Catanzaro 2019-07-02 23:30:56 UTC
*** Bug 1671360 has been marked as a duplicate of this bug. ***

Comment 35 Michael Catanzaro 2019-07-02 23:31:06 UTC
*** Bug 1678914 has been marked as a duplicate of this bug. ***

Comment 36 radddchad 2019-07-05 02:37:44 UTC
*** Bug 1727201 has been marked as a duplicate of this bug. ***

Comment 37 gluengo 2019-07-09 19:43:21 UTC
*** Bug 1728377 has been marked as a duplicate of this bug. ***

Comment 38 Fedora Update System 2019-07-15 19:13:56 UTC
FEDORA-2019-ff61b597f3 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff61b597f3

Comment 39 Fedora Update System 2019-07-16 00:54:23 UTC
gnome-calendar-3.32.2-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff61b597f3

Comment 40 Fedora Update System 2019-07-17 01:17:57 UTC
FEDORA-2019-ff0223e2ca has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff0223e2ca

Comment 41 Fedora Update System 2019-07-18 00:42:28 UTC
gnome-calendar-3.32.2-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff0223e2ca

Comment 42 Fedora Update System 2019-07-18 02:41:01 UTC
FEDORA-2019-ff0223e2ca has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff0223e2ca

Comment 43 Fedora Update System 2019-07-19 01:34:33 UTC
gnome-calendar-3.32.2-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff0223e2ca

Comment 44 Fedora Update System 2019-07-21 19:13:18 UTC
FEDORA-2019-ff0223e2ca has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff0223e2ca

Comment 45 Fedora Update System 2019-07-22 01:10:16 UTC
gnome-calendar-3.32.2-5.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff0223e2ca

Comment 46 Fedora Update System 2019-07-26 00:59:46 UTC
gnome-calendar-3.32.2-5.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.